developerWorks  >  Lotus  >  Forums & community  >  IBM Lotus Notes/Domino 8.5 Forum (includes Lotus Notes Traveler)

IBM Lotus Notes/Domino 8.5 Forum (includes Lotus Notes Traveler)



Feedback Type Problem
Subject gnome 3 related libraries breaks 8.5.2 on Linux
Product Area Notes Client
Technical Area Functionality
Platform Linux client - RHEL
Release 8.5.2
I run Arch Linux 64 bit and have Lotus Notes installed in a 32bit chroot environment per the Arch wiki article I wrote on doing so. [1]

Recent updates to gtk and gnome related libraries broke the ability to display the Home screen, preview pane, opening emails in their own pane, seeing screens in File -> Preferences, and so on. It was completely unusable.[2] I'm not sure what set of libraries did this.[3] In looking at my update logs, I was able to downgrade to the state prior to my last upgrade. It was tedious, but things are now working again.

I'd appreciate any input into whether this is reproducible for others, a known issue and/or what the long term fix is. For now I can just not upgrade my 32 bit chroot, but I'm thinking this will be problematic for those who run entirely 32bit Linux OSs when their distros push updates.

Any thoughts?

[1] Setting up Notes in a 32bit chroot on 64bit OS: https://wiki.archlinux.org/index.php/Lotus_Notes_in_32bit_Chroot

[2] Here are pictures of this in action:
- Mail pane: http://i.imgur.com/P7kQm.png
- Home screen (note it just shows the mail pane): http://i.imgur.com/Jh9GO.png

[3] My package logs showed these upgrades that caused the issue:
-----
[2011-05-03 09:12] Running 'pacman -Syu'
[2011-05-03 09:12] synchronizing package lists
[2011-05-03 09:12] starting full system upgrade
[2011-05-03 09:14] removed gnome-panel-bonobo (2.32.1-2)
[2011-05-03 09:14] upgraded glib2 (2.26.1-1 -> 2.28.6-1)
[2011-05-03 09:14] upgraded atk (1.32.0-1 -> 2.0.0-1)
[2011-05-03 09:14] upgraded gdk-pixbuf2 (2.22.1-2 -> 2.23.3-1)
[2011-05-03 09:14] installed gtk-update-icon-cache (2.24.4-1)
[2011-05-03 09:14] upgraded gtk2 (2.22.1-1 -> 2.24.4-1)
[2011-05-03 09:14] upgraded polkit (0.99-1 -> 0.101-2)
[2011-05-03 09:14] installed gtk3 (3.0.9-1)
[2011-05-03 09:14] upgraded gconf (2.32.0-1 -> 2.32.3-1)
[2011-05-03 09:14] upgraded at-spi (1.32.0-2 -> 1.32.0-4)
[2011-05-03 09:14] upgraded avahi (0.6.30-1 -> 0.6.30-2)
[2011-05-03 09:14] upgraded coreutils (8.11-1 -> 8.12-1)
[2011-05-03 09:14] upgraded curl (7.21.4-2 -> 7.21.6-1)
[2011-05-03 09:14] upgraded eject (2.1.5-4 -> 2.1.5-5)
[2011-05-03 09:14] installed gsettings-desktop-schemas (3.0.1-2)
[2011-05-03 09:14] installed glib-networking (2.28.6.1-2)
[2011-05-03 09:14] upgraded libsoup (2.32.2-1 -> 2.34.1-1)
[2011-05-03 09:14] upgraded libgnome-keyring (2.32.0-1 -> 3.0.1-1)
[2011-05-03 09:14] upgraded libsoup-gnome (2.32.2-1 -> 2.34.1-1)
[2011-05-03 09:14] installed gnome-icon-theme-symbolic (3.0.0-1)
[2011-05-03 09:14] upgraded gnome-icon-theme (2.31.0-1 -> 3.0.0-1)
[2011-05-03 09:15] upgraded libgweather (2.30.3-1 -> 3.0.0-1)
[2011-05-03 09:15] upgraded libgdata (0.6.5-1 -> 0.8.0-1)
[2011-05-03 09:15] upgraded evolution-data-server (2.32.2-1 -> 3.0.1-1)
[2011-05-03 09:15] upgraded gnome-desktop (2.32.1-1 -> 3.0.1-1)
[2011-05-03 09:15] installed libunique3 (3.0.0-1)
[2011-05-03 09:15] upgraded udisks (1.0.2-2 -> 1.0.3-1)
[2011-05-03 09:15] upgraded libnotify (0.7.1-1.1 -> 0.7.2-1)
[2011-05-03 09:15] upgraded gnome-disk-utility (2.32.1-1 -> 3.0.0-1)
[2011-05-03 09:15] upgraded gnome-menus (2.30.5-1 -> 3.0.1-1)
[2011-05-03 09:15] upgraded gnome-mime-data (2.18.0-4 -> 2.18.0-5)
[2011-05-03 09:15] upgraded librsvg (2.32.1-2 -> 2.34.0-1)
[2011-05-03 09:15] installed libwnck3 (3.0.0-1)
[2011-05-03 09:15] installed dconf (0.7.3-2)
[2011-05-03 09:15] installed telepathy-glib (0.14.5-1)
[2011-05-03 09:15] upgraded gnome-panel (2.32.1-2 -> 3.0.0.1-3)
[2011-05-03 09:15] upgraded gnome-vfs (2.24.4-1 -> 2.24.4-2)
[2011-05-03 09:15] upgraded gobject-introspection (0.9.12-1 -> 0.10.8-1)
[2011-05-03 09:15] upgraded gvfs (1.6.6-1 -> 1.8.1-1)
[2011-05-03 09:15] warning: /etc/rc.conf installed as /etc/rc.conf.pacnew
[2011-05-03 09:15] upgraded initscripts (2011.02.1-1 -> 2011.04.1-2)
[2011-05-03 09:15] upgraded libtool (2.4-2 -> 2.4-3)
[2011-05-03 09:15] upgraded libcanberra (0.26-3 -> 0.28-1)
[2011-05-03 09:15] upgraded libunique (1.1.6-3 -> 1.1.6-4)
[2011-05-03 09:15] upgraded libwnck (2.30.6-1 -> 2.30.6-2)
[2011-05-03 09:15] installed pygobject-devel (2.28.4-1)
[2011-05-03 09:15] upgraded pygobject (2.26.0-2 -> 2.28.4-1)
[2011-05-03 09:15] upgraded pygtk (2.22.0-3 -> 2.24.0-1)
[2011-05-03 09:15] upgraded yajl (2.0.0-2 -> 2.0.2-1)
-----

Feedback number WEBB8GJQT3 created by John W Henderson on 08/22/2019

Go back